import './text-with-headline.scss';
import {createElement} from "../../_global/scripts/helpers";
import {lorem2} from "../../_global/scripts/lorem";

export const createTextWithHeadline = ({
  kicker = 'Dachzeile',
  headline = 'Dies ist eine Zwischenheadline mit der Maximalbefüllung von 80 Zeichen.',
}) => {
  const section = createElement('section', ['text-with-headline']);
  const container = createElement('div', ['container'], null, section);
  const text = createElement('div', ['text'], null, container);
  createElement('p', ['kicker'], kicker, text);
  createElement('div', ['like-h1'], headline, text);
  const richText = createElement('div', ['richtext'], null, text);
  createElement('p', [], lorem2, richText);

  return section;
}